Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.UseCDB Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, initialize locking for the Berkeley DB Concurrent Data Store product.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool UseCDB

Visual Basic (Declaration)
    Public UseCDB As Boolean

Visual C++
    public:
    bool UseCDB

# Remarks

In this mode, Berkeley DB provides multiple reader/single writer access. The only other subsystem that should be specified with UseCDB flag is UseMPool.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace